Các khoản thanh toán

GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
processor Tùy chọn Chuỗi Giá trị cho phép: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Tùy chọn Chuỗi Giá trị cho phép: paid, pending, cancelled, refunded
type Tùy chọn Chuỗi Giá trị cho phép: one_time, recurring
frequency Tùy chọn Chuỗi Giá trị cho phép: monthly, quarterly, biannual, annual, lifetime
datetime_field Tùy chọn Chuỗi Giá trị cho phép: datetime
datetime_start Tùy chọn Chuỗi Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s.
datetime_end Tùy chọn Chuỗi Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả. Các giá trị cho phép là: id, datetime, total_amount.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Integer Số trang mà bạn muốn nhận kết quả. Mặc định là 1.
results_per_page Tùy chọn Integer Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-07-18 11:36:45",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/payments?page=1",
        "last": "https://tistos.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/payments?page=1"
    }
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-07-18 11:36:45",
    }
}